Bug 63054 - DVB-s PCI card (Satellite TV and Internet) support
DVB-s PCI card (Satellite TV and Internet) support
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 13:08 EDT by Arion Blishen
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 15:27:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arion Blishen 2002-04-09 13:08:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020405

Description of problem:
There is no DVB-s PCI card (Satellite TV and Internet) support out of the box.
Same seems to go for BT878 TV tuner cards as well.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.n/a
2.
3.
	

Additional info:
Comment 1 Bill Nottingham 2002-04-09 15:02:33 EDT
lspci output?

What modules do they use, and what configuration needs to be done for them?
Comment 2 Arion Blishen 2002-04-11 07:59:58 EDT
The drivers and the application is available at 

http://www.linuxdvb.tv/download.html

The instructions are included

http://www.linuxdvb.tv/

There is also the HOWTO at 
http://www.tldp.org/HOWTO/Sat-HOWTO.html

also
http://www2.arnes.si/%7Emthale1/index.html

Maybe as part of the installer (annacoda) there can be a extra optional section
or a GUI configuration tool to list devices to install and configure extra
harware which the user can tick/select extra hardware they have and they will
get asked questions so the hardware can just work "out of the box".

The util could ask the user what type/brand of TV Tuner card they have and
configure the 3 or so modules bttv, tuner, remote/lirc.
Comment 3 Bill Nottingham 2002-04-11 11:03:16 EDT
Oh, this involves drivers we don't currently have. This is not going to happen
for this beta.
Comment 4 Arion Blishen 2002-04-12 05:40:32 EDT
Can the current bt878 etc cards be configured to work out of the box ? They
currently do not. It reqiures only a very minor changes to bttv and xawtv config
files like the Country/TV standard etc. The user selects the cuontry they are in
during the installer and this information can be used to configure xawtv and the
bttv drivers.

Can DVB-s card support be added to RedHat after this beta ?
Comment 5 Arion Blishen 2002-04-17 16:03:15 EDT
lspci output is

00:0a.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
Comment 6 Arion Blishen 2002-06-19 03:10:50 EDT
There is a lot of info on getting the DVB-s card and VDR and Software CAM going
in the Linux DVB-Sat-TV at HappySat Forum below

http://tforums.com/happysat/viewforum.php?f=17
Comment 7 Arion Blishen 2002-08-20 06:14:33 EDT
Here is a guide to installing the driver for the DVB-s card

http://linux.org.by/articles/ss1.html

What is the status of this ? Will it get done for the next Red Hat release ?
Comment 8 Bill Nottingham 2005-09-23 15:27:49 EDT
Long term, what needs to be done here is that the frontend programs (such as the
VDR software, tvtime, etc) needs to query the devices over HAL, and use that
information. Modules for PCI cards should already be loaded correctly.

This isn't something that can realisitically change in kudzu.

Note You need to log in before you can comment on or make changes to this bug.